Subject: Re: [PATCH 3/10 v2] Add MPC8641 HPCN PCI and PCI-Express files.

From: Jon Loeliger <[email-masked]>
Date: Fri, 09 Jun 2006 11:09:51 -0500

So, like, the other day Benjamin Herrenschmidt mumbled:
> On Thu, 2006-06-08 at 16:57 -0500, Jon Loeliger wrote:
> > Signed-off-by: Xianghua Xiao <[email-masked]>
> > Signed-off-by: Wei Zhang <[email-masked]>
> > Signed-off-by: Haiying Wang <[email-masked]>
> > Signed-off-by: Jon Loeliger <[email-masked]>
> 
> There are various things in this code that duplicate names used by other
> platforms and thus makes the board unsuitable for use in a common
> kernel. That needs to be fixed. Try avoiding too generic names. Also,
> PCI Express shall be named "pcie" and not "pex" :)
> 
> I don't have time at the moment to go too deep in the details here.
> 
> Ben.

I will also prefix some routines with mpc86xx_ to avoid
the generic names problems.  But I'm not sure which other
platforms you expect this one kernel image to run on.
Specifically, this pcie code is very similar to the 8548
family, but not exactly the same.

My understanding is that we are shooting for a single 86xx
family kernel image here, with this 8641 HPCN platform being
the first such port.

I will s/pex/pcie/g and rename files accordingly.

jdl